Page MenuHomeVyOS Platform

Replace Debian firmware packages with upstream Kernel
Closed, ResolvedPublicBUG

Description

Inspired by https://forum.vyos.io/t/wireless-ac-capabilities/2672/6 we should think about dropping the firmware-* packages from Debian Jessie as they do not ship all the latest Firmware code required by ou much newer Kernel 4.14.

e.g https://packages.debian.org/jessie/firmware-iwlwifi has version 0.43 on VyOS which lacks the iwlwifi-7260-17 driver. On the other hand, the latest master branch of https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git has everything we need to support the latest WiFi card.

@dmbaturin @UnicronNL you are the VyOS custom Debian package guys :)

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0-rc3
Why the issue appeared?
Will be filled on close

Related Objects

StatusSubtypeAssignedTask
ResolvedBUGc-po
ResolvedFEATURE REQUESTc-po

Event Timeline

syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc5); removed VyOS 1.2 Crux.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.0-rc5) board.
syncer added a subscriber: syncer.

@dmbaturin leaving it to you

syncer triaged this task as Normal priority.Oct 23 2018, 8:15 AM

@c-po want to handle this yourself or need @dmbaturin participation?

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po closed subtask T1274: Update QLogic firmware files as Resolved.